Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Noobish Use flag question.
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Installing Gentoo
View previous topic :: View next topic  
Author Message
Zazzman
n00b
n00b


Joined: 09 May 2012
Posts: 20

PostPosted: Tue Nov 27, 2012 9:06 pm    Post subject: Noobish Use flag question. Reply with quote

emerging a few things produces little error messages at the bottom:

Code:
The following USE changes are necessary to proceed:
#required by sys-apps/busybox-1.20.2[static], required by @system, required by @world (argument)
>=sys-libs/libselinux-2.1.12-r1 static-libs


Meanwhile, adding
Code:
=sys-libs/libselinux static-libs

to package.use produces another error with env-update:
Code:
--- Invalid atom in /etc/portage/package.use: =sys-libs/libselinux


So far, I've only run into this with packages and flags that seem somewhat useful, stuff that I had taken out of my make.conf for a oneshot install to break circular dependencies, like with mesa and X.

But this time, I have no idea what the use-flag "static-libs" does. It builds static libraries... and I don't know what that means for my system. If I put that flag into my make.conf, portage quits complaining, and *everything* is built as and using static libs. But... there has to be a downside to it, right? Otherwise, why would I be given that choice of dynamic or static libs?

If that is a problem, what can I do to work around it?
Back to top
View user's profile Send private message
The Doctor
Veteran
Veteran


Joined: 27 Jul 2010
Posts: 1265

PostPosted: Tue Nov 27, 2012 9:11 pm    Post subject: Reply with quote

get rid of the equals sign. It is only used for specifying the exact version, which you are not.

It also will not build everything as static. Only those with the flag. In practice, I don't think you would notice the difference. Package.use is probably a better policy though.
_________________
First things first, but not necessarily in that order.
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 31342
Location: 56N 3W

PostPosted: Tue Nov 27, 2012 9:12 pm    Post subject: Reply with quote

Zazzman,

If you want to use a comparision operator as you gave in
Code:
=sys-libs/libselinux static-libs

you must also give a version, as the message said.
Code:
>=sys-libs/libselinux-2.1.12-r1 static-libs
or there is nothing to compare against.
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
Zazzman
n00b
n00b


Joined: 09 May 2012
Posts: 20

PostPosted: Tue Nov 27, 2012 9:42 pm    Post subject: Reply with quote

Wow. That, uhm...

Thanks for pointing out the obvious to the oblivious!
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Installing Gentoo All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum